Method: projects.locations.connections.gitRepositoryLinks.openPullRequest

Membuka Permintaan Pull di repositori SCM jarak jauh yang terkait dengan GitRepositoryLink.

Permintaan HTTP

POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
name

string

Wajib. Nama resource GitRepositoryLink dalam format projects/*/locations/*/connections/*/gitRepositoryLinks/*.

Isi permintaan

Isi permintaan memuat data dengan struktur berikut:

Representasi JSON
{
  "pullRequest": {
    object (PullRequest)
  }
}
Kolom
pullRequest

object (PullRequest)

Wajib. Detail Permintaan Pull yang akan dibuka. Kolom input yang digunakan: title, body, headRef, baseRef.

Isi respons

Jika berhasil, isi respons akan memuat instance PullRequest.

Cakupan otorisasi

Memerlukan cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

Izin IAM

Memerlukan izin IAM berikut pada resource name:

  • developerconnect.gitRepositoryLinks.openPullRequest

Untuk mengetahui informasi selengkapnya, baca dokumentasi IAM.